# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}


# required version of various libraries
%define req_glib_version		2.26.9

%define pkgname			gdk-pixbuf
%define api_version		2.0
%define binary_version		2.10
%define lib_major		0

%define libname  %mklibname gdk_pixbuf %{api_version} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf %api_version %{lib_major}

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api_version}
Version:	2.36.11
Release:    %mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%pkgname/%{pkgname}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gtk.org
Requires:	common-licenses
#-------------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}jasper-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: gettext-devel
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
BuildRequires: fonts-ttf-dejavu
Requires: %{libname} = %{version}

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}
Requires(post):	libtiff >= 3.6.1
Requires(post): %name >= %version
Requires: %name >= %version

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/Libraries
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	libglib2-devel >= %{req_glib_version}
Obsoletes:	%mklibname -d gdk_pixbuf %api_version %lib_major

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.


%prep
%setup -n %{pkgname}-%{version} -q
%apply_patches

%build
%ifarch ppc64
export CFLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif

export CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-fomit-frame-pointer//g'`

#CONFIGURE_TOP=.. 
export CPPFLAGS="-DGTK_COMPILATION"
%configure2_5x --with-included-loaders=png \
	--with-libjasper \
	--with-x11 \
%if %enable_gtkdoc
	--enable-gtk-doc
%else
       --disable-gtk-doc
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT %pkgname.lang
%makeinstall_std RUN_QUERY_LOADER_TEST=false

touch $RPM_BUILD_ROOT%_libdir/%pkgname-%{api_version}/%{binary_version}.0/loaders.cache

# handle biarch packages
progs="gdk-pixbuf-query-loaders"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%pkgname-%{api_version}/bin
for f in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$f $RPM_BUILD_ROOT%{_libdir}/%pkgname-%{api_version}/bin/
  cat > $RPM_BUILD_ROOT%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/%pkgname-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x $RPM_BUILD_ROOT%{_bindir}/$f
done

#remove not packaged files
find %buildroot -name *.la | xargs rm

%find_lang %pkgname

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}

if [ "$1" = "2" ]; then
  if [ -f %_libdir/%pkgname-%api_version/2.10.0/loaders.cache ]; then
    rm -f %_libdir/%pkgname-%api_version/2.10.0/loaders.cache
  fi
fi

%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache


%triggerin -n %{libname} -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so
%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%triggerpostun -n %{libname} -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so
%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache


%posttrans
/sbin/ldconfig


%files -f %pkgname.lang
%defattr(-, root, root)
%doc README
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-pixdata
%_mandir/man1/gdk-pixbuf-query-loaders.1*
%{_bindir}/gdk-pixbuf-thumbnailer
%{_datadir}/thumbnailers/gdk-pixbuf-thumbnailer.thumbnailer

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgdk_pixbuf-%{api_version}.so.%{lib_major}*
%{_libdir}/libgdk_pixbuf_xlib-%{api_version}.so.%{lib_major}*
%_libdir/girepository-1.0/GdkPixbuf-%{api_version}.typelib
%dir %{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders/*.so
%{_libdir}/%pkgname-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %{_libdir}/%pkgname-%{api_version}/%{binary_version}.*/loaders.cache

%files -n %{develname}
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%_bindir/gdk-pixbuf-csource
%{_includedir}/%pkgname-%api_version
%_datadir/gir-1.0/GdkPixbuf-%{api_version}.gir
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%_mandir/man1/gdk-pixbuf-csource.1*


%changelog
* Mon Oct 02 2017 bb2 <bb2> - 2.36.11-1pclos2017
- new version

* Tue Sep 12 2017 bb2 <bb2> - 2.36.10-2pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> - 2.36.10-1pclos2017
- rebuild new gcc

* Tue Jul 18 2017 bb2 <bb2> - 2.36.7-1pclos2017
- new version

* Sun Apr 02 2017 bb2 <bb2> - 2.36.6-1pclos2017
- new version

* Mon Jan 16 2017 bb <bb> - 2.26.5-1pclos2017
- new version

* Fri Jan 06 2017 bb <bb> - 2.36.3-2pclos2017
- add /sbin/ldconfig to posttrans script

* Thu Jan 05 2017 bb <bb> - 2.36.3-1pclos2017
- new version

* Thu Dec 22 2016 bb <bb> - 2.36.2-1pclos2017
- new version

* Tue Dec 13 2016 bb <bb> - 2.36.1-1pclos2017
- new version



